Class | Tk::Iwidgets::Tabset
In: | tk/lib/tkextlib/iwidgets/tabset.rb
Parent: | Tk::Itk::Widget

### Methods

add delete index insert next prev select tagid

### Included Modules

TkItemConfigMethod

### Constants

TkCommandNames | = | ['::iwidgets::tabset'.freeze].freeze
WidgetClassName | = | 'Tabset'.freeze

### External Aliases

itemcget | -> | tabcget
itemconfigure | -> | tabconfigure
itemconfiginfo | -> | tabconfiginfo
current_itemconfiginfo | -> | current_tabconfiginfo

### Public Instance methods

add(keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 64
      def add(keys={})
        window(tk_call(@path, 'add', *hash_kv(keys)))
      end

delete(idx1, idx2=nil)

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 68
      def delete(idx1, idx2=nil)
        if idx2
          tk_call(@path, 'delete', index(idx1), index(idx2))
        else
          tk_call(@path, 'delete', index(idx1))
        end
        self
      end

index(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 77
      def index(idx)
        number(tk_call(@path, 'index', tagid(idx)))
      end

insert(idx, keys={})

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 81
      def insert(idx, keys={})
        window(tk_call(@path, 'insert', index(idx), *hash_kv(keys)))
      end

next()

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 85
      def next
        tk_call(@path, 'next')
        self
      end

prev()

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 90
      def prev
        tk_call(@path, 'prev')
        self
      end

select(idx)

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 95
      def select(idx)
        tk_call(@path, 'select', index(idx))
        self
      end

tagid(tagOrId)

[Source]

    # File tk/lib/tkextlib/iwidgets/tabset.rb, line 35
      def tagid(tagOrId)
        if tagOrId.kind_of?(Tk::Itk::Component)
          tagOrId.name
        else
          #_get_eval_string(tagOrId)
          tagOrId
        end
      end

[Validate]